NewWacht Bench is live — AI-assisted development for Wacht
POST
/webhooks/apps/{app_slug}/endpoints/{endpoint_id}/test

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>

In: header

Path Parameters

app_slug*string
endpoint_id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/webhooks/apps/string/endpoints/string/test" \  -H "Content-Type: application/json" \  -d '{    "event_name": "string"  }'
{  "success": true,  "status_code": 0,  "response_time_ms": 0,  "response_body": "string",  "error": "string"}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}